# RakNet::LobbyServerPostgreSQL Class Reference

`#include <LobbyServer_PostgreSQL.h>`

Inheritance diagram for RakNet::LobbyServerPostgreSQL:

List of all members.

## Protected Member Functions

virtual void | Update (RakPeerInterface *peer)

## Detailed Description

Implementation of the database functionality for the LobbyServer. Implements callbacks for the ranking server, lobby, and title validation databases Database interaction samples are:

See also:
  LobbyDB_PostgreSQLTest

  TitleValidationDB_PostgreSQLTest

  RankingServerDBTest

## Member Function Documentation

void LobbyServerPostgreSQL::Update | ( | RakPeerInterface * | peer | ) | `[protected, virtual]`

Update is called every time a packet is checked for .

Parameters:

  `[in]` | peer | - the instance of RakPeer that is calling Receive

Reimplemented from RakNet::LobbyServer.

The documentation for this class was generated from the following files:

- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyServer_PostgreSQL/LobbyServer_PostgreSQL.h
- /home/rakkar/raknet-trunk/export/DependentExtensions/Lobby/LobbyServer_PostgreSQL/LobbyServer_PostgreSQL.cpp